//go:build !ignore_autogenerated
// +build !ignore_autogenerated

/*
Copyright 2022 OYE Network OÜ. All rights reserved.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by conversion-gen. DO NOT EDIT.

package v1alpha1

import (
	unsafe "unsafe"

	apis "gitlab.com/warrenio/library/gardener-extension-provider-warren/pkg/warren/apis"
	conversion "k8s.io/apimachinery/pkg/conversion"
	runtime "k8s.io/apimachinery/pkg/runtime"
)

func init() {
	localSchemeBuilder.Register(RegisterConversions)
}

// RegisterConversions adds conversion functions to the given scheme.
// Public to allow building arbitrary schemes.
func RegisterConversions(s *runtime.Scheme) error {
	if err := s.AddGeneratedConversionFunc((*CPLoadBalancerClass)(nil), (*apis.CPLoadBalancerClass)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_CPLoadBalancerClass_To_apis_CPLoadBalancerClass(a.(*CPLoadBalancerClass), b.(*apis.CPLoadBalancerClass), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*apis.CPLoadBalancerClass)(nil), (*CPLoadBalancerClass)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_apis_CPLoadBalancerClass_To_v1alpha1_CPLoadBalancerClass(a.(*apis.CPLoadBalancerClass), b.(*CPLoadBalancerClass), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*CSIDriverControllerConfig)(nil), (*apis.CSIDriverControllerConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_CSIDriverControllerConfig_To_apis_CSIDriverControllerConfig(a.(*CSIDriverControllerConfig), b.(*apis.CSIDriverControllerConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*apis.CSIDriverControllerConfig)(nil), (*CSIDriverControllerConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_apis_CSIDriverControllerConfig_To_v1alpha1_CSIDriverControllerConfig(a.(*apis.CSIDriverControllerConfig), b.(*CSIDriverControllerConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*CSIDriverNodeConfig)(nil), (*apis.CSIDriverNodeConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_CSIDriverNodeConfig_To_apis_CSIDriverNodeConfig(a.(*CSIDriverNodeConfig), b.(*apis.CSIDriverNodeConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*apis.CSIDriverNodeConfig)(nil), (*CSIDriverNodeConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_apis_CSIDriverNodeConfig_To_v1alpha1_CSIDriverNodeConfig(a.(*apis.CSIDriverNodeConfig), b.(*CSIDriverNodeConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*CloudControllerManagerConfig)(nil), (*apis.CloudControllerManagerConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_CloudControllerManagerConfig_To_apis_CloudControllerManagerConfig(a.(*CloudControllerManagerConfig), b.(*apis.CloudControllerManagerConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*apis.CloudControllerManagerConfig)(nil), (*CloudControllerManagerConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_apis_CloudControllerManagerConfig_To_v1alpha1_CloudControllerManagerConfig(a.(*apis.CloudControllerManagerConfig), b.(*CloudControllerManagerConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*CloudProfileConfig)(nil), (*apis.CloudProfileConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_CloudProfileConfig_To_apis_CloudProfileConfig(a.(*CloudProfileConfig), b.(*apis.CloudProfileConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*apis.CloudProfileConfig)(nil), (*CloudProfileConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_apis_CloudProfileConfig_To_v1alpha1_CloudProfileConfig(a.(*apis.CloudProfileConfig), b.(*CloudProfileConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ControlPlaneConfig)(nil), (*apis.ControlPlaneConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_ControlPlaneConfig_To_apis_ControlPlaneConfig(a.(*ControlPlaneConfig), b.(*apis.ControlPlaneConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*apis.ControlPlaneConfig)(nil), (*ControlPlaneConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_apis_ControlPlaneConfig_To_v1alpha1_ControlPlaneConfig(a.(*apis.ControlPlaneConfig), b.(*ControlPlaneConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*InfrastructureConfig)(nil), (*apis.InfrastructureConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_InfrastructureConfig_To_apis_InfrastructureConfig(a.(*InfrastructureConfig), b.(*apis.InfrastructureConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*apis.InfrastructureConfig)(nil), (*InfrastructureConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_apis_InfrastructureConfig_To_v1alpha1_InfrastructureConfig(a.(*apis.InfrastructureConfig), b.(*InfrastructureConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*InfrastructureStatus)(nil), (*apis.InfrastructureStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_InfrastructureStatus_To_apis_InfrastructureStatus(a.(*InfrastructureStatus), b.(*apis.InfrastructureStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*apis.InfrastructureStatus)(nil), (*InfrastructureStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_apis_InfrastructureStatus_To_v1alpha1_InfrastructureStatus(a.(*apis.InfrastructureStatus), b.(*InfrastructureStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*MachineImage)(nil), (*apis.MachineImage)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_MachineImage_To_apis_MachineImage(a.(*MachineImage), b.(*apis.MachineImage), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*apis.MachineImage)(nil), (*MachineImage)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_apis_MachineImage_To_v1alpha1_MachineImage(a.(*apis.MachineImage), b.(*MachineImage), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*MachineImageVersion)(nil), (*apis.MachineImageVersion)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_MachineImageVersion_To_apis_MachineImageVersion(a.(*MachineImageVersion), b.(*apis.MachineImageVersion), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*apis.MachineImageVersion)(nil), (*MachineImageVersion)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_apis_MachineImageVersion_To_v1alpha1_MachineImageVersion(a.(*apis.MachineImageVersion), b.(*MachineImageVersion), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*MachineImages)(nil), (*apis.MachineImages)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_MachineImages_To_apis_MachineImages(a.(*MachineImages), b.(*apis.MachineImages), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*apis.MachineImages)(nil), (*MachineImages)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_apis_MachineImages_To_v1alpha1_MachineImages(a.(*apis.MachineImages), b.(*MachineImages), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*MachineTypeOptions)(nil), (*apis.MachineTypeOptions)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_MachineTypeOptions_To_apis_MachineTypeOptions(a.(*MachineTypeOptions), b.(*apis.MachineTypeOptions), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*apis.MachineTypeOptions)(nil), (*MachineTypeOptions)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_apis_MachineTypeOptions_To_v1alpha1_MachineTypeOptions(a.(*apis.MachineTypeOptions), b.(*MachineTypeOptions), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*RegionSpec)(nil), (*apis.RegionSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_RegionSpec_To_apis_RegionSpec(a.(*RegionSpec), b.(*apis.RegionSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*apis.RegionSpec)(nil), (*RegionSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_apis_RegionSpec_To_v1alpha1_RegionSpec(a.(*apis.RegionSpec), b.(*RegionSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*WorkerStatus)(nil), (*apis.WorkerStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_WorkerStatus_To_apis_WorkerStatus(a.(*WorkerStatus), b.(*apis.WorkerStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*apis.WorkerStatus)(nil), (*WorkerStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_apis_WorkerStatus_To_v1alpha1_WorkerStatus(a.(*apis.WorkerStatus), b.(*WorkerStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*WorkerStatusNetworkUUIDs)(nil), (*apis.WorkerStatusNetworkUUIDs)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_WorkerStatusNetworkUUIDs_To_apis_WorkerStatusNetworkUUIDs(a.(*WorkerStatusNetworkUUIDs), b.(*apis.WorkerStatusNetworkUUIDs), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*apis.WorkerStatusNetworkUUIDs)(nil), (*WorkerStatusNetworkUUIDs)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_apis_WorkerStatusNetworkUUIDs_To_v1alpha1_WorkerStatusNetworkUUIDs(a.(*apis.WorkerStatusNetworkUUIDs), b.(*WorkerStatusNetworkUUIDs), scope)
	}); err != nil {
		return err
	}
	return nil
}

func autoConvert_v1alpha1_CPLoadBalancerClass_To_apis_CPLoadBalancerClass(in *CPLoadBalancerClass, out *apis.CPLoadBalancerClass, s conversion.Scope) error {
	out.Name = in.Name
	out.IPPoolName = (*string)(unsafe.Pointer(in.IPPoolName))
	out.TCPAppProfileName = (*string)(unsafe.Pointer(in.TCPAppProfileName))
	out.UDPAppProfileName = (*string)(unsafe.Pointer(in.UDPAppProfileName))
	return nil
}

// Convert_v1alpha1_CPLoadBalancerClass_To_apis_CPLoadBalancerClass is an autogenerated conversion function.
func Convert_v1alpha1_CPLoadBalancerClass_To_apis_CPLoadBalancerClass(in *CPLoadBalancerClass, out *apis.CPLoadBalancerClass, s conversion.Scope) error {
	return autoConvert_v1alpha1_CPLoadBalancerClass_To_apis_CPLoadBalancerClass(in, out, s)
}

func autoConvert_apis_CPLoadBalancerClass_To_v1alpha1_CPLoadBalancerClass(in *apis.CPLoadBalancerClass, out *CPLoadBalancerClass, s conversion.Scope) error {
	out.Name = in.Name
	out.IPPoolName = (*string)(unsafe.Pointer(in.IPPoolName))
	out.TCPAppProfileName = (*string)(unsafe.Pointer(in.TCPAppProfileName))
	out.UDPAppProfileName = (*string)(unsafe.Pointer(in.UDPAppProfileName))
	return nil
}

// Convert_apis_CPLoadBalancerClass_To_v1alpha1_CPLoadBalancerClass is an autogenerated conversion function.
func Convert_apis_CPLoadBalancerClass_To_v1alpha1_CPLoadBalancerClass(in *apis.CPLoadBalancerClass, out *CPLoadBalancerClass, s conversion.Scope) error {
	return autoConvert_apis_CPLoadBalancerClass_To_v1alpha1_CPLoadBalancerClass(in, out, s)
}

func autoConvert_v1alpha1_CSIDriverControllerConfig_To_apis_CSIDriverControllerConfig(in *CSIDriverControllerConfig, out *apis.CSIDriverControllerConfig, s conversion.Scope) error {
	out.LogValue = in.LogValue
	return nil
}

// Convert_v1alpha1_CSIDriverControllerConfig_To_apis_CSIDriverControllerConfig is an autogenerated conversion function.
func Convert_v1alpha1_CSIDriverControllerConfig_To_apis_CSIDriverControllerConfig(in *CSIDriverControllerConfig, out *apis.CSIDriverControllerConfig, s conversion.Scope) error {
	return autoConvert_v1alpha1_CSIDriverControllerConfig_To_apis_CSIDriverControllerConfig(in, out, s)
}

func autoConvert_apis_CSIDriverControllerConfig_To_v1alpha1_CSIDriverControllerConfig(in *apis.CSIDriverControllerConfig, out *CSIDriverControllerConfig, s conversion.Scope) error {
	out.LogValue = in.LogValue
	return nil
}

// Convert_apis_CSIDriverControllerConfig_To_v1alpha1_CSIDriverControllerConfig is an autogenerated conversion function.
func Convert_apis_CSIDriverControllerConfig_To_v1alpha1_CSIDriverControllerConfig(in *apis.CSIDriverControllerConfig, out *CSIDriverControllerConfig, s conversion.Scope) error {
	return autoConvert_apis_CSIDriverControllerConfig_To_v1alpha1_CSIDriverControllerConfig(in, out, s)
}

func autoConvert_v1alpha1_CSIDriverNodeConfig_To_apis_CSIDriverNodeConfig(in *CSIDriverNodeConfig, out *apis.CSIDriverNodeConfig, s conversion.Scope) error {
	out.LogValue = in.LogValue
	return nil
}

// Convert_v1alpha1_CSIDriverNodeConfig_To_apis_CSIDriverNodeConfig is an autogenerated conversion function.
func Convert_v1alpha1_CSIDriverNodeConfig_To_apis_CSIDriverNodeConfig(in *CSIDriverNodeConfig, out *apis.CSIDriverNodeConfig, s conversion.Scope) error {
	return autoConvert_v1alpha1_CSIDriverNodeConfig_To_apis_CSIDriverNodeConfig(in, out, s)
}

func autoConvert_apis_CSIDriverNodeConfig_To_v1alpha1_CSIDriverNodeConfig(in *apis.CSIDriverNodeConfig, out *CSIDriverNodeConfig, s conversion.Scope) error {
	out.LogValue = in.LogValue
	return nil
}

// Convert_apis_CSIDriverNodeConfig_To_v1alpha1_CSIDriverNodeConfig is an autogenerated conversion function.
func Convert_apis_CSIDriverNodeConfig_To_v1alpha1_CSIDriverNodeConfig(in *apis.CSIDriverNodeConfig, out *CSIDriverNodeConfig, s conversion.Scope) error {
	return autoConvert_apis_CSIDriverNodeConfig_To_v1alpha1_CSIDriverNodeConfig(in, out, s)
}

func autoConvert_v1alpha1_CloudControllerManagerConfig_To_apis_CloudControllerManagerConfig(in *CloudControllerManagerConfig, out *apis.CloudControllerManagerConfig, s conversion.Scope) error {
	out.FeatureGates = *(*map[string]bool)(unsafe.Pointer(&in.FeatureGates))
	out.LogValue = in.LogValue
	return nil
}

// Convert_v1alpha1_CloudControllerManagerConfig_To_apis_CloudControllerManagerConfig is an autogenerated conversion function.
func Convert_v1alpha1_CloudControllerManagerConfig_To_apis_CloudControllerManagerConfig(in *CloudControllerManagerConfig, out *apis.CloudControllerManagerConfig, s conversion.Scope) error {
	return autoConvert_v1alpha1_CloudControllerManagerConfig_To_apis_CloudControllerManagerConfig(in, out, s)
}

func autoConvert_apis_CloudControllerManagerConfig_To_v1alpha1_CloudControllerManagerConfig(in *apis.CloudControllerManagerConfig, out *CloudControllerManagerConfig, s conversion.Scope) error {
	out.FeatureGates = *(*map[string]bool)(unsafe.Pointer(&in.FeatureGates))
	out.LogValue = in.LogValue
	return nil
}

// Convert_apis_CloudControllerManagerConfig_To_v1alpha1_CloudControllerManagerConfig is an autogenerated conversion function.
func Convert_apis_CloudControllerManagerConfig_To_v1alpha1_CloudControllerManagerConfig(in *apis.CloudControllerManagerConfig, out *CloudControllerManagerConfig, s conversion.Scope) error {
	return autoConvert_apis_CloudControllerManagerConfig_To_v1alpha1_CloudControllerManagerConfig(in, out, s)
}

func autoConvert_v1alpha1_CloudProfileConfig_To_apis_CloudProfileConfig(in *CloudProfileConfig, out *apis.CloudProfileConfig, s conversion.Scope) error {
	out.Regions = *(*[]apis.RegionSpec)(unsafe.Pointer(&in.Regions))
	out.MachineImages = *(*[]apis.MachineImages)(unsafe.Pointer(&in.MachineImages))
	out.DefaultStorageFsType = in.DefaultStorageFsType
	out.DisableIPv6 = in.DisableIPv6
	out.MachineTypeOptions = *(*[]apis.MachineTypeOptions)(unsafe.Pointer(&in.MachineTypeOptions))
	return nil
}

// Convert_v1alpha1_CloudProfileConfig_To_apis_CloudProfileConfig is an autogenerated conversion function.
func Convert_v1alpha1_CloudProfileConfig_To_apis_CloudProfileConfig(in *CloudProfileConfig, out *apis.CloudProfileConfig, s conversion.Scope) error {
	return autoConvert_v1alpha1_CloudProfileConfig_To_apis_CloudProfileConfig(in, out, s)
}

func autoConvert_apis_CloudProfileConfig_To_v1alpha1_CloudProfileConfig(in *apis.CloudProfileConfig, out *CloudProfileConfig, s conversion.Scope) error {
	out.Regions = *(*[]RegionSpec)(unsafe.Pointer(&in.Regions))
	out.MachineImages = *(*[]MachineImages)(unsafe.Pointer(&in.MachineImages))
	out.DefaultStorageFsType = in.DefaultStorageFsType
	out.DisableIPv6 = in.DisableIPv6
	out.MachineTypeOptions = *(*[]MachineTypeOptions)(unsafe.Pointer(&in.MachineTypeOptions))
	return nil
}

// Convert_apis_CloudProfileConfig_To_v1alpha1_CloudProfileConfig is an autogenerated conversion function.
func Convert_apis_CloudProfileConfig_To_v1alpha1_CloudProfileConfig(in *apis.CloudProfileConfig, out *CloudProfileConfig, s conversion.Scope) error {
	return autoConvert_apis_CloudProfileConfig_To_v1alpha1_CloudProfileConfig(in, out, s)
}

func autoConvert_v1alpha1_ControlPlaneConfig_To_apis_ControlPlaneConfig(in *ControlPlaneConfig, out *apis.ControlPlaneConfig, s conversion.Scope) error {
	out.Zone = in.Zone
	out.APIEndpointURL = in.APIEndpointURL
	out.CloudControllerManager = (*apis.CloudControllerManagerConfig)(unsafe.Pointer(in.CloudControllerManager))
	out.CSIDriverController = (*apis.CSIDriverControllerConfig)(unsafe.Pointer(in.CSIDriverController))
	out.CSIDriverNode = (*apis.CSIDriverNodeConfig)(unsafe.Pointer(in.CSIDriverNode))
	out.LoadBalancerClasses = *(*[]apis.CPLoadBalancerClass)(unsafe.Pointer(&in.LoadBalancerClasses))
	out.LoadBalancerSize = (*string)(unsafe.Pointer(in.LoadBalancerSize))
	return nil
}

// Convert_v1alpha1_ControlPlaneConfig_To_apis_ControlPlaneConfig is an autogenerated conversion function.
func Convert_v1alpha1_ControlPlaneConfig_To_apis_ControlPlaneConfig(in *ControlPlaneConfig, out *apis.ControlPlaneConfig, s conversion.Scope) error {
	return autoConvert_v1alpha1_ControlPlaneConfig_To_apis_ControlPlaneConfig(in, out, s)
}

func autoConvert_apis_ControlPlaneConfig_To_v1alpha1_ControlPlaneConfig(in *apis.ControlPlaneConfig, out *ControlPlaneConfig, s conversion.Scope) error {
	out.Zone = in.Zone
	out.APIEndpointURL = in.APIEndpointURL
	out.CloudControllerManager = (*CloudControllerManagerConfig)(unsafe.Pointer(in.CloudControllerManager))
	out.CSIDriverController = (*CSIDriverControllerConfig)(unsafe.Pointer(in.CSIDriverController))
	out.CSIDriverNode = (*CSIDriverNodeConfig)(unsafe.Pointer(in.CSIDriverNode))
	out.LoadBalancerClasses = *(*[]CPLoadBalancerClass)(unsafe.Pointer(&in.LoadBalancerClasses))
	out.LoadBalancerSize = (*string)(unsafe.Pointer(in.LoadBalancerSize))
	return nil
}

// Convert_apis_ControlPlaneConfig_To_v1alpha1_ControlPlaneConfig is an autogenerated conversion function.
func Convert_apis_ControlPlaneConfig_To_v1alpha1_ControlPlaneConfig(in *apis.ControlPlaneConfig, out *ControlPlaneConfig, s conversion.Scope) error {
	return autoConvert_apis_ControlPlaneConfig_To_v1alpha1_ControlPlaneConfig(in, out, s)
}

func autoConvert_v1alpha1_InfrastructureConfig_To_apis_InfrastructureConfig(in *InfrastructureConfig, out *apis.InfrastructureConfig, s conversion.Scope) error {
	out.APIEndpointURL = in.APIEndpointURL
	out.FloatingPoolName = in.FloatingPoolName
	return nil
}

// Convert_v1alpha1_InfrastructureConfig_To_apis_InfrastructureConfig is an autogenerated conversion function.
func Convert_v1alpha1_InfrastructureConfig_To_apis_InfrastructureConfig(in *InfrastructureConfig, out *apis.InfrastructureConfig, s conversion.Scope) error {
	return autoConvert_v1alpha1_InfrastructureConfig_To_apis_InfrastructureConfig(in, out, s)
}

func autoConvert_apis_InfrastructureConfig_To_v1alpha1_InfrastructureConfig(in *apis.InfrastructureConfig, out *InfrastructureConfig, s conversion.Scope) error {
	out.APIEndpointURL = in.APIEndpointURL
	out.FloatingPoolName = in.FloatingPoolName
	return nil
}

// Convert_apis_InfrastructureConfig_To_v1alpha1_InfrastructureConfig is an autogenerated conversion function.
func Convert_apis_InfrastructureConfig_To_v1alpha1_InfrastructureConfig(in *apis.InfrastructureConfig, out *InfrastructureConfig, s conversion.Scope) error {
	return autoConvert_apis_InfrastructureConfig_To_v1alpha1_InfrastructureConfig(in, out, s)
}

func autoConvert_v1alpha1_InfrastructureStatus_To_apis_InfrastructureStatus(in *InfrastructureStatus, out *apis.InfrastructureStatus, s conversion.Scope) error {
	out.FloatingPoolName = in.FloatingPoolName
	return nil
}

// Convert_v1alpha1_InfrastructureStatus_To_apis_InfrastructureStatus is an autogenerated conversion function.
func Convert_v1alpha1_InfrastructureStatus_To_apis_InfrastructureStatus(in *InfrastructureStatus, out *apis.InfrastructureStatus, s conversion.Scope) error {
	return autoConvert_v1alpha1_InfrastructureStatus_To_apis_InfrastructureStatus(in, out, s)
}

func autoConvert_apis_InfrastructureStatus_To_v1alpha1_InfrastructureStatus(in *apis.InfrastructureStatus, out *InfrastructureStatus, s conversion.Scope) error {
	out.FloatingPoolName = in.FloatingPoolName
	return nil
}

// Convert_apis_InfrastructureStatus_To_v1alpha1_InfrastructureStatus is an autogenerated conversion function.
func Convert_apis_InfrastructureStatus_To_v1alpha1_InfrastructureStatus(in *apis.InfrastructureStatus, out *InfrastructureStatus, s conversion.Scope) error {
	return autoConvert_apis_InfrastructureStatus_To_v1alpha1_InfrastructureStatus(in, out, s)
}

func autoConvert_v1alpha1_MachineImage_To_apis_MachineImage(in *MachineImage, out *apis.MachineImage, s conversion.Scope) error {
	out.Name = in.Name
	out.Version = in.Version
	return nil
}

// Convert_v1alpha1_MachineImage_To_apis_MachineImage is an autogenerated conversion function.
func Convert_v1alpha1_MachineImage_To_apis_MachineImage(in *MachineImage, out *apis.MachineImage, s conversion.Scope) error {
	return autoConvert_v1alpha1_MachineImage_To_apis_MachineImage(in, out, s)
}

func autoConvert_apis_MachineImage_To_v1alpha1_MachineImage(in *apis.MachineImage, out *MachineImage, s conversion.Scope) error {
	out.Name = in.Name
	out.Version = in.Version
	return nil
}

// Convert_apis_MachineImage_To_v1alpha1_MachineImage is an autogenerated conversion function.
func Convert_apis_MachineImage_To_v1alpha1_MachineImage(in *apis.MachineImage, out *MachineImage, s conversion.Scope) error {
	return autoConvert_apis_MachineImage_To_v1alpha1_MachineImage(in, out, s)
}

func autoConvert_v1alpha1_MachineImageVersion_To_apis_MachineImageVersion(in *MachineImageVersion, out *apis.MachineImageVersion, s conversion.Scope) error {
	out.Version = in.Version
	out.ImageName = in.ImageName
	return nil
}

// Convert_v1alpha1_MachineImageVersion_To_apis_MachineImageVersion is an autogenerated conversion function.
func Convert_v1alpha1_MachineImageVersion_To_apis_MachineImageVersion(in *MachineImageVersion, out *apis.MachineImageVersion, s conversion.Scope) error {
	return autoConvert_v1alpha1_MachineImageVersion_To_apis_MachineImageVersion(in, out, s)
}

func autoConvert_apis_MachineImageVersion_To_v1alpha1_MachineImageVersion(in *apis.MachineImageVersion, out *MachineImageVersion, s conversion.Scope) error {
	out.Version = in.Version
	out.ImageName = in.ImageName
	return nil
}

// Convert_apis_MachineImageVersion_To_v1alpha1_MachineImageVersion is an autogenerated conversion function.
func Convert_apis_MachineImageVersion_To_v1alpha1_MachineImageVersion(in *apis.MachineImageVersion, out *MachineImageVersion, s conversion.Scope) error {
	return autoConvert_apis_MachineImageVersion_To_v1alpha1_MachineImageVersion(in, out, s)
}

func autoConvert_v1alpha1_MachineImages_To_apis_MachineImages(in *MachineImages, out *apis.MachineImages, s conversion.Scope) error {
	out.Name = in.Name
	out.Versions = *(*[]apis.MachineImageVersion)(unsafe.Pointer(&in.Versions))
	return nil
}

// Convert_v1alpha1_MachineImages_To_apis_MachineImages is an autogenerated conversion function.
func Convert_v1alpha1_MachineImages_To_apis_MachineImages(in *MachineImages, out *apis.MachineImages, s conversion.Scope) error {
	return autoConvert_v1alpha1_MachineImages_To_apis_MachineImages(in, out, s)
}

func autoConvert_apis_MachineImages_To_v1alpha1_MachineImages(in *apis.MachineImages, out *MachineImages, s conversion.Scope) error {
	out.Name = in.Name
	out.Versions = *(*[]MachineImageVersion)(unsafe.Pointer(&in.Versions))
	return nil
}

// Convert_apis_MachineImages_To_v1alpha1_MachineImages is an autogenerated conversion function.
func Convert_apis_MachineImages_To_v1alpha1_MachineImages(in *apis.MachineImages, out *MachineImages, s conversion.Scope) error {
	return autoConvert_apis_MachineImages_To_v1alpha1_MachineImages(in, out, s)
}

func autoConvert_v1alpha1_MachineTypeOptions_To_apis_MachineTypeOptions(in *MachineTypeOptions, out *apis.MachineTypeOptions, s conversion.Scope) error {
	out.Name = in.Name
	out.ExtraConfig = *(*map[string]string)(unsafe.Pointer(&in.ExtraConfig))
	return nil
}

// Convert_v1alpha1_MachineTypeOptions_To_apis_MachineTypeOptions is an autogenerated conversion function.
func Convert_v1alpha1_MachineTypeOptions_To_apis_MachineTypeOptions(in *MachineTypeOptions, out *apis.MachineTypeOptions, s conversion.Scope) error {
	return autoConvert_v1alpha1_MachineTypeOptions_To_apis_MachineTypeOptions(in, out, s)
}

func autoConvert_apis_MachineTypeOptions_To_v1alpha1_MachineTypeOptions(in *apis.MachineTypeOptions, out *MachineTypeOptions, s conversion.Scope) error {
	out.Name = in.Name
	out.ExtraConfig = *(*map[string]string)(unsafe.Pointer(&in.ExtraConfig))
	return nil
}

// Convert_apis_MachineTypeOptions_To_v1alpha1_MachineTypeOptions is an autogenerated conversion function.
func Convert_apis_MachineTypeOptions_To_v1alpha1_MachineTypeOptions(in *apis.MachineTypeOptions, out *MachineTypeOptions, s conversion.Scope) error {
	return autoConvert_apis_MachineTypeOptions_To_v1alpha1_MachineTypeOptions(in, out, s)
}

func autoConvert_v1alpha1_RegionSpec_To_apis_RegionSpec(in *RegionSpec, out *apis.RegionSpec, s conversion.Scope) error {
	out.Name = in.Name
	out.MachineImages = *(*[]apis.MachineImages)(unsafe.Pointer(&in.MachineImages))
	return nil
}

// Convert_v1alpha1_RegionSpec_To_apis_RegionSpec is an autogenerated conversion function.
func Convert_v1alpha1_RegionSpec_To_apis_RegionSpec(in *RegionSpec, out *apis.RegionSpec, s conversion.Scope) error {
	return autoConvert_v1alpha1_RegionSpec_To_apis_RegionSpec(in, out, s)
}

func autoConvert_apis_RegionSpec_To_v1alpha1_RegionSpec(in *apis.RegionSpec, out *RegionSpec, s conversion.Scope) error {
	out.Name = in.Name
	out.MachineImages = *(*[]MachineImages)(unsafe.Pointer(&in.MachineImages))
	return nil
}

// Convert_apis_RegionSpec_To_v1alpha1_RegionSpec is an autogenerated conversion function.
func Convert_apis_RegionSpec_To_v1alpha1_RegionSpec(in *apis.RegionSpec, out *RegionSpec, s conversion.Scope) error {
	return autoConvert_apis_RegionSpec_To_v1alpha1_RegionSpec(in, out, s)
}

func autoConvert_v1alpha1_WorkerStatus_To_apis_WorkerStatus(in *WorkerStatus, out *apis.WorkerStatus, s conversion.Scope) error {
	out.MachineImages = *(*[]apis.MachineImage)(unsafe.Pointer(&in.MachineImages))
	out.NetworkUUIDs = *(*map[string]*apis.WorkerStatusNetworkUUIDs)(unsafe.Pointer(&in.NetworkUUIDs))
	return nil
}

// Convert_v1alpha1_WorkerStatus_To_apis_WorkerStatus is an autogenerated conversion function.
func Convert_v1alpha1_WorkerStatus_To_apis_WorkerStatus(in *WorkerStatus, out *apis.WorkerStatus, s conversion.Scope) error {
	return autoConvert_v1alpha1_WorkerStatus_To_apis_WorkerStatus(in, out, s)
}

func autoConvert_apis_WorkerStatus_To_v1alpha1_WorkerStatus(in *apis.WorkerStatus, out *WorkerStatus, s conversion.Scope) error {
	out.MachineImages = *(*[]MachineImage)(unsafe.Pointer(&in.MachineImages))
	out.NetworkUUIDs = *(*map[string]*WorkerStatusNetworkUUIDs)(unsafe.Pointer(&in.NetworkUUIDs))
	return nil
}

// Convert_apis_WorkerStatus_To_v1alpha1_WorkerStatus is an autogenerated conversion function.
func Convert_apis_WorkerStatus_To_v1alpha1_WorkerStatus(in *apis.WorkerStatus, out *WorkerStatus, s conversion.Scope) error {
	return autoConvert_apis_WorkerStatus_To_v1alpha1_WorkerStatus(in, out, s)
}

func autoConvert_v1alpha1_WorkerStatusNetworkUUIDs_To_apis_WorkerStatusNetworkUUIDs(in *WorkerStatusNetworkUUIDs, out *apis.WorkerStatusNetworkUUIDs, s conversion.Scope) error {
	out.Workers = in.Workers
	return nil
}

// Convert_v1alpha1_WorkerStatusNetworkUUIDs_To_apis_WorkerStatusNetworkUUIDs is an autogenerated conversion function.
func Convert_v1alpha1_WorkerStatusNetworkUUIDs_To_apis_WorkerStatusNetworkUUIDs(in *WorkerStatusNetworkUUIDs, out *apis.WorkerStatusNetworkUUIDs, s conversion.Scope) error {
	return autoConvert_v1alpha1_WorkerStatusNetworkUUIDs_To_apis_WorkerStatusNetworkUUIDs(in, out, s)
}

func autoConvert_apis_WorkerStatusNetworkUUIDs_To_v1alpha1_WorkerStatusNetworkUUIDs(in *apis.WorkerStatusNetworkUUIDs, out *WorkerStatusNetworkUUIDs, s conversion.Scope) error {
	out.Workers = in.Workers
	return nil
}

// Convert_apis_WorkerStatusNetworkUUIDs_To_v1alpha1_WorkerStatusNetworkUUIDs is an autogenerated conversion function.
func Convert_apis_WorkerStatusNetworkUUIDs_To_v1alpha1_WorkerStatusNetworkUUIDs(in *apis.WorkerStatusNetworkUUIDs, out *WorkerStatusNetworkUUIDs, s conversion.Scope) error {
	return autoConvert_apis_WorkerStatusNetworkUUIDs_To_v1alpha1_WorkerStatusNetworkUUIDs(in, out, s)
}
